Skip to main content
Infrastructure/Agents

GetLockStatus

Get the current lock status and holder information for a specific agent

GET/api/v1/agents/locks/{agentId}

Operation ID

GetLockStatus

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • agentId
    StringRequired

    UUID of the agent whose lock status to query

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • agentId
    String

    UUID of the agent on which the lock is held

    Example: agent-abc123-def456

  • operationType
    String

    Type of operation for which the lock was acquired

    Example: upgrade

  • holder
    String

    Current holder of the lock

    Example: upgrade-service

  • acquiredAt
    String

    Acquired at

    Example: 2026-01-15T08:00:00Z

  • expiresAt
    String

    Expires at

    Example: 2026-01-15T08:00:00Z

  • lockToken
    String

    Token associated with this lock for release verification

    Example: lock-token-abc123